Download Bills
Retrieve Bills data in CSV format.
Use this endpoint for retrieving Bills data in CSV format for your Organization for a specified period. The response contains the line items for Bills in the defined time period in a comma-separated string format.
To define a time period you can use exactly one of the startDate/endDate or externalInvoiceDateStart/externalInvoiceDateEnd request parameter pairings. If you try to mix them when defining a time period - such as startDate/externalInvoiceDateEnd - then you’ll receive an error.
You can use the externalSystem request parameter to control the format of the Bills data given in the comma-separated response:
- STANDARD A wider range of data columns is given.
- XERO A more limited range of data columns is given and compatible with loading into your 3rd-party Xero system.
NOTES:
- Download Limits. You can only retrieve Bills data for a period of up to 31 days or up to a maximum of 5000 Bills. If you attempt a call that exceeds either of these two limits, you’ll receive an error message
- Empty Bills. The CSV formatted response string is compiled by taking each of the line items found in Bills that exist in your Organization for the specified period. The Bill for each line item record is given, along with Bill Total and other billing attributes. However, if you have an empty Bill that exists for the specified period - one for which no line items currently exist - then no line item records will be shown for this Bill in the CSV formatted response.
- Downloading a CSV File. If you want to download a CSV file for Bills data for a specified period, use the Download Bills URL endpoint.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
Body
Specifies the start date of the billing period for downloading Bills. Format should be a valid date in ISO 8601 format. Bills with a start date on or after this date will be included in the download.
Specifies the end date of the billing period for downloading Bills. Format should be a valid date in ISO 8601 format. Bills with an end date on or before this date will be included in the download.
(Optional). Specifies the start date in ISO 8601 format for filtering Bills by external invoice date.
(Optional). Specifies the end date in ISO 8601 format for filtering Bills by external invoice date.
Use this parameter if you have implemented an integration with your Xero system and want a downloaded CSV file suitable for loading into Xero:
- STANDARD - A wider range of data columns is given.
- XERO - A more limited range of data columns is given and compatible with loading into your 3rd-party Xero system.
STANDARD, XERO Response
Redirect to a CSV file containing the bill details